import { __rest } from "tslib";
import { isFunction } from '@ntks/toolbox';
import { registerAndLoadIconProviders } from 'petals-ui/dist/icon';
import { registerComponent, registerAppHelper, registerAction, registerModules, } from '../vendors/organik';
import { setDefaultTheme } from './theme';
function createApp({ components, metadata = {}, creators = {}, theme = {}, }) {
    if (components) {
        components.forEach(registerComponent);
    }
    const { actions, modules } = metadata;
    if (actions) {
        actions.forEach(action => registerAction(action));
    }
    if (modules) {
        registerModules(modules);
    }
    const { appHelper } = creators;
    if (isFunction(appHelper)) {
        registerAppHelper(appHelper());
    }
    const { icon = {} } = theme, otherThemeOptions = __rest(theme, ["icon"]);
    if (icon.providers) {
        registerAndLoadIconProviders(icon.providers);
    }
    setDefaultTheme(otherThemeOptions, true);
    return {
        mount: (elementOrSelector = '#app') => { },
    };
}
export { createApp };
