import { BuiltInDataType } from '../types/data-type';
import { getBehaviorByKey } from './theme';
function resolveFieldRenderType({ renderType, dataType = '' }) {
    const dataTypeToRenderTypeMapOfField = {
        [BuiltInDataType.Boolean]: getBehaviorByKey('common.field.booleanFieldRenderType'),
        [BuiltInDataType.String]: 'input',
        [BuiltInDataType.Text]: 'textarea',
        [BuiltInDataType.Integer]: 'number',
        [BuiltInDataType.Float]: 'number',
        [BuiltInDataType.Enum]: getBehaviorByKey('common.field.enumFieldRenderType'),
        [BuiltInDataType.MultiEnum]: 'select',
        [BuiltInDataType.OneToOne]: 'select',
        [BuiltInDataType.OneToMany]: 'select',
        [BuiltInDataType.ManyToMany]: 'select',
        [BuiltInDataType.ManyToOne]: 'select',
    };
    return renderType || dataTypeToRenderTypeMapOfField[dataType] || '';
}
const dataTypeToRenderTypeMapOfFilter = {
    [BuiltInDataType.Boolean]: 'select',
    [BuiltInDataType.String]: 'input',
    [BuiltInDataType.Text]: 'input',
    [BuiltInDataType.Integer]: 'number',
    [BuiltInDataType.Float]: 'number',
    [BuiltInDataType.Enum]: 'select',
    [BuiltInDataType.MultiEnum]: 'select',
    [BuiltInDataType.OneToOne]: 'select',
    [BuiltInDataType.OneToMany]: 'select',
    [BuiltInDataType.ManyToMany]: 'select',
    [BuiltInDataType.ManyToOne]: 'select',
};
function resolveFilterRenderType({ renderType, dataType = '' }) {
    return renderType || dataTypeToRenderTypeMapOfFilter[dataType] || '';
}
export { resolveFieldRenderType, resolveFilterRenderType };
