import { DataValue, FilterDescriptor, SearchCondition, SearchEvents, SearchContextDescriptor, SearchContext as ISearchContext } from '../core';
import { ValueContext } from './value';
declare class SearchContext extends ValueContext<SearchCondition, SearchEvents> implements ISearchContext {
    private readonly filters;
    private readonly filterMap;
    private condition;
    constructor({ filters, defaultValue }: SearchContextDescriptor);
    setValue(value: SearchCondition): void;
    getFilters(): FilterDescriptor[];
    getFilterValue<FV extends DataValue = DataValue>(name: string): FV | undefined;
    setFilterValue<FV>(name: string, value: FV): void;
}
export { SearchContext };
