import { DataValue, RequestParams, ResponseResult, ResponseSuccess, ResponseFail, ConfigType, SearchComponentRenderer, ModuleContext, SearchContext as ISearchContext, ListViewContextDescriptor, ListViewContext as IListViewContext } from '../../core';
import { ViewContext } from './base';
declare class ListViewContext<ValueType extends DataValue = DataValue, Config extends ConfigType = ConfigType> extends ViewContext<ValueType, Config> implements IListViewContext<ValueType, Config> {
    private readonly search;
    private readonly childrenCreator;
    private readonly shorthandNames;
    private searchContext;
    private searchCondition;
    private conditionInited;
    private dataSourceInited;
    private children;
    private totalPage;
    private currentPage;
    private currentPageSize;
    constructor(moduleContext: ModuleContext, options: ListViewContextDescriptor<ValueType, Config>);
    getChildren(): any[];
    getSearch(): SearchComponentRenderer | undefined;
    getSearchContext(): ISearchContext | undefined;
    getTotal(): number;
    getCurrentPage(): number;
    setCurrentPage(current: number, silent?: boolean): void;
    getPageSize(): number;
    setPageSize(size: number, silent?: boolean): void;
    setDataSource(data: ValueType): void;
    load(): Promise<any>;
    reload(): Promise<any>;
    getList(params: RequestParams, success?: ResponseSuccess, fail?: ResponseFail): Promise<ResponseResult>;
    deleteOne(params: string | number | Record<string, any>, success?: ResponseSuccess, fail?: ResponseFail): Promise<ResponseResult>;
    deleteList(params: string[] | number[] | Record<string, any>, success?: ResponseSuccess, fail?: ResponseFail): Promise<ResponseResult>;
}
export { ListViewContext };
