import { mixin, omit } from '@ntks/toolbox';
import { createCreator } from '../creator';
import { resolveInput, getDefaultValue } from '../input';
import { resolveFieldMap } from '../model';
const [getSearchContextCreator, setSearchContextCreator] = createCreator((descriptor) => ({}));
function resolveFilters(filters, model) {
    if (!model) {
        return filters;
    }
    const fieldMap = resolveFieldMap(model.fields);
    return filters.map(filter => fieldMap[filter.name]
        ? mixin(true, {}, omit(fieldMap[filter.name], ['readonly']), filter)
        : filter);
}
function resolveCondition(filters) {
    return filters.length > 0
        ? filters.reduce((prev, filter) => (Object.assign(Object.assign({}, prev), { [filter.name]: getDefaultValue(filter) })), {})
        : {};
}
function createSearchContext(descriptor, model) {
    const mergedFilters = resolveFilters((descriptor.filters || []).map(filter => resolveInput(filter)), model);
    return getSearchContextCreator()({
        filters: mergedFilters,
        defaultValue: resolveCondition(mergedFilters),
    });
}
export { setSearchContextCreator, createSearchContext };
